freiheit.com technologies gmbh

## com.freiheit.gnupg
Class GnuPGException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  com.freiheit.gnupg.GnuPGException

All Implemented Interfaces:
  java.io.Serializable

    public class GnuPGException

extends java.lang.RuntimeException

If the underlying gpgme library reports an error, this exception is thrown. Wraps all errors messages from inside gpgme.

Author:
  Stefan Richter, stefan@freiheit.com
See Also:
  Serialized Form

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

freiheit.com technologies gmbh

© 2005 freiheit.com technologies gmbh